ZIP_NAME_LOCATE(3)

NAME
zip_name_locate - get index of file by name

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>

int zip_name_locate(struct zip *archive, const char *fname, int flags);

DESCRIPTION
The zip_name_locate function returns the index of the file named fname in archive. If archive does not contain a file with that name, -1 is returned. The are specified by or'ing the following values, or 0 for none of them.

    ZIP_FL_NOCASE
        Ignore case distinctions.

    ZIP_FL_NODIR
        Ignore directory part of file name in archive.

RETURN VALUES
zip_name_locate returns the index of the file named fname or -1, if archive does not contain an entry of that name.

ERRORS
The zip_name_locate function fails and sets the error information to ZIP_ER_NOENT if no entry of the name fname is found in the archive. If one of the arguments is invalid, the error information is set to ZIP_ER_INVAL.

SEE ALSO
libzip(3), zip_get_name(3)

AUTHORS

Dieter Baron <dillo@giga.or.at> and Thomas Klausner <tk@giga.or.at>